### File

`src/modal/modal.decorator.ts`

### Description

# Deprecated - extend `BaseModal` instead

Decorator used to apply metadata on `Modal` class.

class: ModalContainer

decorator: @Modal

### Example

### Index

###### Methods

- closeModal

###### Outputs

- close

### Methods

closeModal
`closeModal()`
Defined in src/modal/modal.decorator.ts:15
Returns : `void`

### Outputs

`close` | `$event` Type: `EventEmitter`
Defined in src/modal/modal.decorator.ts:14

    import { Output, EventEmitter } from "@angular/core";

    /**
     * # Deprecated - extend `BaseModal` instead
     *
     * Decorator used to apply metadata on `Modal` class.
     *
     * class: ModalContainer
     *
     * decorator: @Modal
     * @deprecated
     */
    class ModalContainer {
    	@Output() close = new EventEmitter();
    	closeModal(): void {
    		this.close.emit();
    	}
    }

    /**
     * Applying the decorator metadata to the target class (`Modal`).
     */
    export default function Modal() {
    	return function(target) {
    		Object.assign(target.prototype, ModalContainer.prototype);
    	};
    }

# result-matching ""

# No results matching ""